CRUNCHIDE(1)

NAME
crunchide - hides symbol names from ld, for crunching programs together

SYNOPSIS
crunchide [-f keep-list-file] [-k keep-symbol] [object-file ...]

DESCRIPTION
Crunchide hides the global symbols of object-file such that they are ignored by subsequent runs of the linker, ld(1). Some symbols may be left visible via the -k keep-symbol and -f keep-list-file options. The keep-list-file must contain a list of symbols to keep visible, one symbol per line. Note that the C compiler prepends an underscore in front of symbols, so to keep the C function ``foo'' visible, the option ``-k _foo'' must be used.

Crunchide is designed as a companion program for crunchgen(1), which automates the process of creating crunched binaries from multiple component programs.

SEE ALSO
crunchgen(1), ld(1)

AUTHOR
Crunch was written by James da Silva <jds@cs.umd.edu>.

Copyright (c) 1994 University of Maryland. All Rights Reserved.